Bug 497960 - Visiting /index.php/Special:ListFiles results in database error
Visiting /index.php/Special:ListFiles results in database error
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: mediawiki (Show other bugs)
el5
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Stephen John Smoogen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 01:31 EDT by Austin
Modified: 2015-01-15 11:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-15 11:43:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The above error message as a text file. (1.72 KB, text/plain)
2009-04-28 01:31 EDT, Austin
no flags Details

  None (edit)
Description Austin 2009-04-28 01:31:08 EDT
Created attachment 341513 [details]
The above error message as a text file.

Description of problem:
When visiting a link to /index.php/Special:ListFiles, I get a page that asked me to set $wgShowExceptionDetails = true;

Upon setting that and reloading the page, I got:

Internal error
From UAVWiki
Jump to: navigation, search

A database error has occurred
Query: SELECT img_timestamp,img_name,img_user_text,img_size,img_description,COUNT(oi_archive_name),img_user FROM image LEFT JOIN oldimage ON ((oi_name = img_name)) GROUP BY img_name ORDER BY img_timestamp DESC LIMIT 51
Function: IndexPager::reallyDoQuery (ImageListPager)
Error: 1 ERROR: column "image.img_timestamp" must appear in the GROUP BY clause or be used in an aggregate function

Backtrace:

#0 /usr/share/mediawiki/includes/db/Database.php(591): DatabasePostgres->reportQueryError('ERROR: column ...', 1, 'SELECT img_tim...', 'IndexPager::rea...', false)
#1 /usr/share/mediawiki/includes/db/Database.php(1001): Database->query('SELECT img_tim...', 'IndexPager::rea...')
#2 /usr/share/mediawiki/includes/Pager.php(256): Database->select(Array, Array, Array, 'IndexPager::rea...', Array, Array)
#3 /usr/share/mediawiki/includes/Pager.php(148): IndexPager->reallyDoQuery('', 51, false)
#4 /usr/share/mediawiki/includes/Pager.php(273): IndexPager->doQuery()
#5 /usr/share/mediawiki/includes/specials/SpecialListfiles.php(16): IndexPager->getBody()
#6 [internal function]: wfSpecialListfiles(NULL, Object(SpecialPage))
#7 /usr/share/mediawiki/includes/SpecialPage.php(749): call_user_func('wfSpecialListfi...', NULL, Object(SpecialPage))
#8 /usr/share/mediawiki/includes/SpecialPage.php(539): SpecialPage->execute(NULL)
#9 /usr/share/mediawiki/includes/Wiki.php(226): SpecialPage::executePath(Object(Title))
#10 /usr/share/mediawiki/includes/Wiki.php(59): MediaWiki->initializeSpecialCases(Object(Title), Object(OutputPage), Object(WebRequest))
#11 /usr/share/mediawiki/index.php(117): MediaWiki->initialize(Object(Title), NULL, Object(OutputPage), Object(User), Object(WebRequest))
#12 {main}

Version-Release number of selected component (if applicable):
mediawiki-1.14.0-45.fc10.x86_64
postgresql-8.3.7-1.fc10.x86_64

How reproducible:
Every time I visit the page. Didn't matter if I was logged in or not.

Additional info:
Configured MediaWiki to use Postgresql, and have been using it for over three weeks without a problem. 50 odd pages and a dozen or more images uploaded. I was exploring the Special:SpecialPages page, and saw the link to "File List" and followed it, resulting in the above error.
Comment 1 Ricky Zhou 2009-06-21 23:59:45 EDT
Hi, thanks for the report!  This has been reported upstream as well at https://bugzilla.wikimedia.org/show_bug.cgi?id=17676.  The fix should be in mediawiki 1.15.0, which will hopefully be updated in CVS soon.
Comment 2 Ricky Zhou 2009-06-22 00:01:16 EDT
I'll also be pinging the EPEL maintainer about the possibility of backporting this patch to the mediawiki versions in EPEL.
Comment 3 Ricky Zhou 2009-07-23 09:07:09 EDT
Hi, this issue should be fixed in the current version of mediawiki in Fedora.  I am changing the product to Fedora EPEL, as that package would still be affected.
Comment 4 Axel Thimm 2009-07-23 10:53:26 EDT
(In reply to comment #3)
> Hi, this issue should be fixed in the current version of mediawiki in Fedora. 
> I am changing the product to Fedora EPEL, as that package would still be
> affected.  

For the sake of preserving history you should clone a bug across RHEL and Fedora, not move it when one product group is done with it.
Comment 5 Eric Christensen 2015-01-15 11:43:25 EST
This package has been retired.  This ticket should be reopened if the package is unretired.

Note You need to log in before you can comment on or make changes to this bug.